%define gitdate @@gitdate@@

Summary:	Apache module
Name:		mod_sucgid
Version:	0.2
Release:	0.1.%{gitdate}git%{?dist}
Source0:	%{name}.tar.gz
Source1:	modsucgid.conf
Group:		System Environment/Daemons
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u}-n)

BuildRequires:	httpd-devel
BuildRequires:	cmake
BuildRequires:  liblve

Requires: 	httpd

%description
This package contains Apache module


%prep
%setup -q -n %{name}

%build
cmake .
make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_libdir}/httpd/modules/ $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -D bin/daemon_sucgid $RPM_BUILD_ROOT%{_sbindir}
install -D lib/mod_sucgid.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
install -D %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/

%post
isuser=$((cat /etc/passwd | cut -d":" -f1) | grep clouddaemon)
if [ -z "$isuser" ];then
    useradd -g apache clouddaemon
fi                                                                    

%files
%defattr(-,root,root,-)
%{_sbindir}*
%{_libdir}/httpd/modules/*
%{_sysconfdir}/httpd/conf.d/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 09 2009 CloudLinux Packaging Team <packages@cloudlinux.com> - 0.1-1
- initial package
